Skip to main content
GET
/
v2
/
detailed-vaults
/
{network}
/
{vaultAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/v2/detailed-vaults/{network}/{vaultAddress} \
  --header 'x-api-key: <api-key>'
{
  "address": "<string>",
  "network": {
    "name": "mainnet",
    "chainId": 123,
    "networkCaip": "<string>"
  },
  "asset": {
    "address": "<string>",
    "assetCaip": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "assetGroup": "<string>",
    "assetLogo": "<string>",
    "assetPriceInUsd": "<string>"
  },
  "isTransactional": true,
  "isAppFeatured": true,
  "name": "<string>",
  "protocol": {
    "name": "<string>",
    "product": "<string>",
    "version": "<string>",
    "protocolUrl": "<string>",
    "description": "<string>",
    "protocolLogo": "<string>"
  },
  "tags": [
    "<string>"
  ],
  "holdersData": {
    "totalCount": 123,
    "totalBalance": "<string>",
    "topHolders": [
      {
        "address": "<string>",
        "lpTokenBalance": "<string>"
      }
    ]
  },
  "apy": {
    "1day": {
      "base": 123,
      "reward": 123,
      "total": 123
    },
    "7day": {
      "base": 123,
      "reward": 123,
      "total": 123
    },
    "30day": {
      "base": 123,
      "reward": 123,
      "total": 123
    },
    "1hour": {
      "base": 123,
      "reward": 123,
      "total": 123
    }
  },
  "tvl": {
    "usd": "<string>",
    "native": "<string>"
  },
  "lastUpdateTimestamp": 123,
  "rewards": [
    {
      "asset": {
        "address": "<string>",
        "assetCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "assetGroup": "<string>",
        "assetLogo": "<string>",
        "assetPriceInUsd": "<string>"
      },
      "apy": {
        "1hour": 123,
        "1day": 123,
        "7day": 123,
        "30day": 123
      }
    }
  ],
  "isCorrupted": true,
  "userEventsIndexed": true,
  "warnings": [
    "<string>"
  ],
  "flags": [
    {
      "content": "<string>",
      "severity": "info",
      "endDate": 123
    }
  ],
  "lendUrl": "<string>",
  "description": "<string>",
  "protocolVaultUrl": "<string>",
  "score": {
    "vaultScore": 123,
    "vaultTvlScore": 123,
    "protocolTvlScore": 123,
    "holderScore": 123,
    "networkScore": 123,
    "assetScore": 123
  },
  "additionalIncentives": "<string>",
  "curator": {
    "name": "<string>",
    "description": "<string>",
    "websiteUrl": "<string>"
  },
  "lpToken": {
    "address": "<string>",
    "tokenCaip": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123
  },
  "remainingCapacity": "<string>",
  "maxCapacity": "<string>",
  "childrenVaults": [
    {
      "address": "<string>",
      "asset": {
        "address": "<string>",
        "assetCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "assetGroup": "<string>",
        "assetLogo": "<string>",
        "assetPriceInUsd": "<string>"
      },
      "lpToken": {
        "address": "<string>",
        "tokenCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123
      },
      "additionalAssets": [
        {
          "address": "<string>",
          "assetCaip": "<string>",
          "name": "<string>",
          "symbol": "<string>",
          "decimals": 123,
          "assetGroup": "<string>",
          "assetLogo": "<string>",
          "assetPriceInUsd": "<string>"
        }
      ]
    }
  ],
  "additionalAssets": [
    {
      "address": "<string>",
      "assetCaip": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "assetGroup": "<string>",
      "assetLogo": "<string>",
      "assetPriceInUsd": "<string>"
    }
  ],
  "transactionalProperties": {
    "depositStepsType": "instant",
    "redeemStepsType": "instant",
    "rewardsSupported": true
  },
  "fees": {
    "performanceFee": 123,
    "managementFee": 123,
    "withdrawalFee": 123,
    "depositFee": 123
  },
  "apyComposite": {
    "totalApy": {
      "1day": {
        "base": 123,
        "reward": 123,
        "total": 123
      },
      "7day": {
        "base": 123,
        "reward": 123,
        "total": 123
      },
      "30day": {
        "base": 123,
        "reward": 123,
        "total": 123
      },
      "1hour": {
        "base": 123,
        "reward": 123,
        "total": 123
      }
    },
    "intrinsicApy": {
      "1day": {
        "base": 123,
        "reward": 123,
        "total": 123
      },
      "7day": {
        "base": 123,
        "reward": 123,
        "total": 123
      },
      "30day": {
        "base": 123,
        "reward": 123,
        "total": 123
      },
      "1hour": {
        "base": 123,
        "reward": 123,
        "total": 123
      }
    },
    "asset": {
      "address": "<string>",
      "assetCaip": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "assetGroup": "<string>",
      "assetLogo": "<string>",
      "assetPriceInUsd": "<string>"
    },
    "vault": {
      "address": "<string>"
    }
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
vaultAddress
string
required

Address of the vault for which the data will be returned

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Default Response

address
string
required

Address of the vault

Pattern: ^0x[a-fA-F0-9]{40}$
network
object
required

Network details of the vault

asset
object
required

Asset details of the vault

isTransactional
boolean
required

Indicates if the vault supports transactional endpoints

Indicates if the vault is featured in app.vaults.fyi

name
string
required

Name of the vault

protocol
object
required

Protocol details of the vault

tags
string[]
required

Tags of the vault

Minimum string length: 1
holdersData
object
required
apy
object
required

APY details of the vault

tvl
object
required

TVL details of the vault

lastUpdateTimestamp
integer
required

Timestamp of the last vault data update

rewards
object[]
required

List of rewards for the vault

isCorrupted
boolean
required

Indicates if the vault is corrupted

userEventsIndexed
boolean
required

Indicates if user events related to the vault are indexed and available in the API

warnings
string[]
required

List of warnings related to the vault

flags
object[]
required

List of flags with severity and expiry information

lendUrl
string

URL to lend the asset

description
string

Description of the vault

protocolVaultUrl
string

URL to the protocol vault

score
object

Score details of the vault

additionalIncentives
string

Additional incentives of the vault

curator
object

Curator of the vault

lpToken
object

LP token details of the vault

remainingCapacity
string

Remaining capacity of the vault

maxCapacity
string

Maximum capacity limit of the vault

childrenVaults
object[]

List of child vaults

additionalAssets
object[]

Additional assets of the vault

transactionalProperties
object

Transactional properties of the vault

fees
object

Fee structure of the vault

apyComposite
object

Composite APY data when vault asset is another vault LP token. When present, totalApy compounds the current vault with the underlying vault and intrinsicApy shows the underlying vault's own APY